
QGIS Application - Bug report #3995

Segfault during use of interpolation plugin

2011-06-17 02:42 AM - Ralf Dreesen

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 13984

Description

When I apply the interpolation plugin on a shapefile of 1.7M points, i get a segfault.

Looks like a stack overflow in gdb. Stack is full of DualEdgeTriangulation::doSwap/checkSwap frames (~140000 frames). Stack pointer

looks pretty magic: ebp at 0xbf800068

I can provide the shapefile (~50MB) for testing on request.

History

#1 - 2011-06-17 02:44 AM - Paolo Cavallini

- Resolution set to duplicate

duplicate

#2 - 2011-06-17 02:52 AM - Giovanni Manghi

please add your notes to ticket #2482

if possible also link (for download) the data is causing the crash

#3 - 2011-07-22 09:45 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Subject changed from Degfault during use of interpolation plugin to Segfault during use of interpolation plugin
